Incidencia #364 (closed Defecto: Resuelto)

Abierto hace 7 años

Última modificación 6 años

canaima-desarrollador no instala devscripts en Canaima 3.0

Informado por: effiejayx Propietario: HuntingBears
Prioridad: Muy Baja Hito: canaima-popular-3.1~VC2
Componente: Metadistribución Versión: 3.0
Gravedad: Trivial Palabras clave: empaquetado, canaima-desarrollador
Cc: Asignar A:

Descripción

Canaima Desarrollador no instala devscrips. Este es necesario si hay que editar el changelog via dch -e.

lsb_release -a
No LSB modules are available.
Distributor ID: Canaima
Description: Canaima GNU/Linux 3.0 (roraima)
Release: 3.0
Codename: roraima

apt-cache show canaima-desarrollador

Package: canaima-desarrollador
Version: 1.1+38
Architecture: all
Maintainer: Equipo de Desarrollo de Canaima GNU/Linux <desarrolladores@…>
Installed-Size: 2396
Depends: dpkg-dev, git-core, git-buildpackage, dh-make, cdbs, debhelper, fakeroot, build-essential, canaima-curiara | www-browser, lintian
Homepage: http://canaima.softwarelibre.gob.ve/
Priority: optional
Section: misc
Filename: pool/usuarios/c/canaima-desarrollador/canaima-desarrollador_1.1+38_all.deb
Size: 1665494
SHA256: e435c760c7b84da580dfde2107159fb4d5c821e0c8d0b2735febfdc20ae5f259
SHA1: 6b104c5acb1d857beae39033b30152e50c06a8f3
MD5sum: 8bf93101d3baa5223a46898966fa63eb
Description: Paquete que facilita la creación de Software para Canaima

Este paquete provee los archivos base de Canaima GNU/Linux.

Historial de cambios

comment:1 en respuesta a: ↑ description Cambiado el 7 años por anónimo

Como se puede notar en la siguiente linea:

Depends: dpkg-dev, git-core, git-buildpackage, dh-make, cdbs, debhelper, fakeroot, build-essential, canaima-curiara | www-browser, lintian

canaima-desarrollador depende de git-buildpackage quien a su vez depende del paquete devscripts por lo tanto no es necesario agregarlo como dependencia ya que seria como redundar.

Acabo de hacer la instalación de prueba y efectivamente devscripts se marca como dependencia a instalar.

comment:2 Cambiado el 6 años por HuntingBears

  • Estado cambiado de new to accepted
  • Propietario cambiado de Canaima a HuntingBears
  • Gravedad establecido a Trivial

comment:3 Cambiado el 6 años por HuntingBears

  • Estado cambiado de accepted to resuelta
  • Resolución establecido a Fijada

La dependencia a devscripts ha sido añadida en el siguiente commit:

https://gitorious.org/canaima-gnu-linux/canaima-desarrollador/commit/ab4e26fc63938350e257ac4fd5b02d99d8162600

Se puede disfrutar de la corrección a partir de la versión 1.2-1 de canaima-desarrollador. Para actualizar se puede hacer aptitude update && aptitude full-upgrade.

~Luis

comment:4 Cambiado el 6 años por erickcion

  • Estado cambiado de resuelta to closed

Aprobada la solución descrita en comment:3

Nota: Vea TracTickets para ayuda en el uso de incidencias.